KNIFE-CONFIGURE(1)

NAME
knife-configure - The man page for the knife configure subcommand.

The knife configure subcommand is used to create the knife.rb and client.rb files so that they can be distributed to workstations and nodes.

Syntax

This argument has the following syntax when creating a knife.rb file:

$ knife configure (options)

and the following syntax when creating a client.rb file:

$ knife configure client DIRECTORY

Options

This subcommand has the following options:

--admin-client-key PATH
    The path to the private key used by the client, typically a file named admin.pem.

--admin-client-name NAME
    The name of the client, typically the name of the admin client.

-c CONFIG_FILE, --config CONFIG_FILE
    The configuration file to use.

--chef-zero-port PORT
    The port on which chef-zero will listen.

--[no-]color
    Indicates whether colored output will be used.

-d, --disable-editing
    Indicates that $EDITOR will not be opened; data will be accepted as-is.

--defaults
    Indicates that Knife will use the default value, instead of asking a user to provide one.

-e EDITOR, --editor EDITOR
    The $EDITOR that is used for all interactive commands.

-E ENVIRONMENT, --environment ENVIRONMENT
    The name of the environment. When this option is added to a command, the command will run only against the named environment.

-F FORMAT, --format FORMAT
    The output format: summary (default), text, json, yaml, and pp.

-h, --help
    Shows help for the command.

-i, --initial
    Use to create a API client, typically an administrator client on a freshly-installed server.

-k KEY, --key KEY
    The private key that Knife will use to sign requests made by the API client to the server.

--print-after
    Indicates that data will be shown after a destructive operation.

-r REPO, --repository REPO
    The path to the chef-repo.

-s URL, --server-url URL
    The URL for the server.

-u USER, --user USER
    The user name used by Knife to sign requests made by the API client to the server. Authentication will fail if the user name does not match the private key.

-v, --version
    The version of the chef-client.

-V, --verbose
    Set for more verbose outputs. Use -VV for maximum verbosity.

--validation-client-name NAME
    The name of the validation client.

--validation-key PATH
    The path to the validation key used by the client, typically a file named validation.pem.

-y, --yes
    Indicates that the response to all confirmation prompts will be "Yes" (and that Knife will not ask for confirmation).

-z, --local-mode
    Indicates that the chef-client will be run in local mode, which allows all commands that work against the server to also work against the local chef-repo.

    Examples

    $ knife configure

    $ knife configure client '/directory'

AUTHOR
Chef